﻿using System;

namespace ConsoleApplication1
{
    class Person
    {
        public int CountOfInstance;
        public string _name;

        static public int s_CountOfInstance;

        public Person(string name)
        {
            CountOfInstance++; // 생성자에서 필드 값 증가

            s_CountOfInstance++; // 정적 변수 증가
            _name = name;
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine(Person.s_CountOfInstance); // 출력 결과: 0
            Person person1 = new Person("홍길동");
            Console.WriteLine(person1.CountOfInstance); // 출력 결과: 1

            Person person2 = new Person("홍길순");
            Console.WriteLine(person2.CountOfInstance); // 출력 결과: 1
            Console.WriteLine(Person.s_CountOfInstance); // 출력 결과: 2
        }
    }
}
